@media (max-width:1610px) {
    .customHeader {
        padding: 15px;
    }
}

@media (max-width:1450px) {
    .customHeader {
        padding: 15px 0px;
    }

    .customHeader ul.navbar-nav {
        gap: 0px;
    }
}

@media (max-width:1366px) {

    .customHeader .navbar-collapse .rightBtn a,
    .customHeader ul.navbar-nav li a {
        font-size: 12px;
        padding: 12px !important;
    }

    .customHeader nav .navbar-brand img {
        max-width: 50%;
    }

    .cnt_img img {
        width: 100%;
    }

    .ProductMainPage .ServicesItem img {
        aspect-ratio: unset !important;
        width: 100%;
    }

    .ServicesPage .ServicesItem {
        grid-template-columns: 1fr 1fr;
        gap: 25px;
    }

    .ServicesPage .ServicesItem img {
        width: 100%;
        height: 100%;
        aspect-ratio: unset;
    }

}

@media (max-width:1280px) {
    .customHeader .navbar-collapse .rightBtn a.headerIcon {
        width: 35px;
        height: 35px !important;
        padding: 0px !important;
    }

    .headerIcon i {
        font-size: 10px;
    }

    .customHeader .navbar-collapse .rightBtn a,
    .customHeader ul.navbar-nav li a,
    .customHeader ul.navbar-nav li.nav-item.dropdown a {
        font-size: 11px;
        padding: 10px !important;
    }

}

@media (max-width:1200px) {

    .desktopMenu {
        display: none;
    }

    .MobileMenu {
        display: block;
        padding: 15px;
        position: sticky;
        top: 0;
        background: #fff;
        z-index: 111;
    }

    .MobileMenuLogoWrapper .navbar-brand {
        padding: 0px;
        margin: 0px;
    }

    .MobileMenuLogoWrapper .navbar-brand img {
        max-width: 100px;
        filter: brightness(0) saturate(100%) invert(73%) sepia(22%) saturate(2781%) hue-rotate(170deg) brightness(99%) contrast(87%);
    }

    .MobileMenuLogoWrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .BurgarMenuIcon {
        padding: 15px;
        background: linear-gradient(45deg, #56bbed, #1f7fce);
        border-radius: 8px;
        cursor: pointer;
    }

    .BurgarMenuIcon i {
        font-size: 16px;
    }

    .MobileMenuOverlay {
        position: fixed;
        width: 100%;
        height: 100%;
        background: #000;
        top: 0;
        left: 0;
        z-index: 11;
        opacity: 0;
        transition: 0.8s all;
        pointer-events: none;
    }

    .MobileMenuOverlay.active {
        opacity: 0.6;
        pointer-events: unset;
    }

    .MenuMobile {
        position: fixed;
        width: 40%;
        height: 100%;
        background: #f4f4f4;
        top: 0;
        left: 0;
        z-index: 111;
        transform: translateX(-100%);
        transition: 0.8s all;
        pointer-events: none;
    }

    .MenuMobile.active {
        transform: translateX(0%);
        pointer-events: unset;
    }

    .MenuMobile>ul.navbar-nav li.nav-item a {
        padding: 20px 25px;
        border-bottom: 1px solid #22222208;
        font-size: 14px;
        font-family: 'Satoshi';
        font-weight: 600;
        color: #000;
        text-transform: capitalize;
        letter-spacing: 0.4px;
    }

    .logoForMenu {
        padding: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        background: linear-gradient(45deg, #56bbed, #1f7fce);
    }

    .logoForMenu .navbar-brand {
        padding: 0px;
        margin: 0px;
    }

    .logoForMenu .navbar-brand img {
        max-width: 100px;
    }

    body.menu-open {
        overflow: hidden;
    }

    .MenuMobile li.nav-item .MobileDropMenu {
        display: block;
        max-height: 0px;
        overflow: hidden;
        padding: 0px;
        border: 0px;
        box-shadow: unset;
        transition: 0.8s all;
    }

    .MobileDropdownWrapper {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 20px 25px;
        border-bottom: 1px solid #22222208;
    }

    .MobileDropdownWrapper>a.nav-link {
        padding: 0px !important;
        border-bottom: 0px solid #22222208 !important;
    }

    .DownArrow img {
        max-width: 20px;
    }

    .DownArrow {
        transition: 0.8s;
        display: flex;
        align-items: center;
    }

    .MobileDropdown.active .DownArrow {
        transform: rotate(-180deg);
    }

    .MobileDropMenu .dropdown-menu li {
        border-bottom: 0px !important;
    }

    .MobileDropMenu li {
        border-bottom: 0px !important;
    }

    .MobileDropMenu li a {
        border-bottom: 1px solid #ededed !important;
    }

    .MobileDropdown.active .MobileDropMenu.Multilevelmenu {
        max-height: unset !important;
    }

    .Multilevelmenu .MobileDropdown.active .MobileDropdownWrapper~.MobileDropMenu {
        border-top: 1px solid #2222221f !important;
        border-radius: 0px;
        border-bottom: 1px solid #2222221f !important;
    }

    .MobileDropdown.active .MobileDropMenu.Multilevelmenu .DownArrowChild {
        transform: rotate(0deg);
    }

    .MobileDropdown.active .MobileDropMenu.Multilevelmenu .MobileDropdown.active .DownArrow.DownArrowChild {
        transform: rotate(-180deg);
    }

    .container,
    .container-lg,
    .container-md,
    .container-sm {
        max-width: 100% !important;
    }

    .counterGrid {
        max-width: 100%;
    }

    .counterItem h5 {
        font-size: 35px;
    }

    .CustomPending {
        padding: 40px 0px;
    }

    .aboutSec.CustomPending {
        margin: 0px;
    }

    .aboutContent {
        padding-left: 0px;
    }

    .secTitle h1 {
        font-size: 18px;
    }

    p,
    .ServicesContent p,
    .ProductMainPage .ServicesContent .desc ul li,
    .MainProductDetailsPage .KeyServicesGrid ul li,
    .useCaseMoreGrid .descItem ul li,
    .ServicesContent ul li strong,
    .ContactInformationItem ul li a,
    .ContactAddressItem ul li,
    .CustomPartnersModel .modal-dialog .CustomPartnersWrapper .CustomPartnersItem .CustomPartnersContent h5,
    .CustomPartnersContent p,
    .faqsWrapper .accordion button,
    .faqsWrapper .accordion-item .accordion-body {
        font-size: 14px;
        line-height: 28px;
    }

    .aboutMoreContents .secTitle h2,
    .SolutionsContent h5,
    .ServicesContent h5,
    .footerLinksItem h5,
    .ServicesPage .ServicesItem .ServicesContent h5,
    .descItem h2,
    .productDetailsTitle h5,
    .TypesItem .TypesContent h5,
    .projectsItem .projectsContent h2,
    .ContactInformationItem h5,
    .ContactAddressItem h5,
    .ContactFormAddress h5,
    .CustomPartnersModel .modal-dialog .CustomPartnersWrapper .CustomPartnersItem .CustomPartnersHeader h5,
    .faqsWrapper .accordion button span {
        font-size: 16px !important;
        line-height: 28px !important;
    }

    .ProductItem .Productcontent,
    .faqsWrapper .accordion button {
        padding: 20px;
        border-radius: 8px;
    }

    .ProductItem .Productcontent h5,
    .KeyServicesItem .KeyServicesContent h5 {
        font-size: 14px;
    }

    .ProductItem {
        min-width: 45vw;
        max-width: 45vw;
    }

    .EnvironmentalGrid,
    .SolutionsGrid,
    .ServicesIconWrapper {
        grid-template-columns: 1fr 1fr;
        gap: 15px;
    }

    .EnvironmentalItem {
        padding: 25px;
    }

    .EnvironmentalContent {
        gap: 10px;
    }

    .EnvironmentalContent h5,
    .SolutionsContent ul li,
    .VideoItem .VideoContent h5 {
        font-size: 14px;
    }

    .SolutionsContent ul li {
        align-items: center;
    }

    .SolutionsContent ul {
        gap: 15px;
        min-height: 109px;
    }

    .secTitle p br {
        display: none;
    }

    .SolutionsContent a,
    .aboutContent .desc a,
    .ProductMainPage .ServicesContent .desc~a,
    .ServicesItem .desc~a {
        font-size: 14px;
    }

    .ourProjectGrid {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 15px;
    }

    .ClientGrid {
        grid-template-columns: repeat(4, 1fr);
    }

    footer {
        padding: 40px 15px 0px;
    }

    .bannerSlider .swiper-slide,
    .bannerSec {
        height: 60vh;
    }

    .bannerContent h1 {
        font-size: 35px;
    }

    .bannerContent p {
        font-size: 16px;
    }

    .bannerSlider .swiper-button-next {
        right: 15px;
    }

    .bannerSlider .swiper-button-prev {
        left: 15px;
    }

    .bannerSlider .swiper-button-prev,
    .bannerSlider .swiper-button-next,
    .CustomerSlider .swiper-button-prev,
    .CustomerSlider .swiper-button-next {
        width: 45px;
        height: 45px;
    }

    .bannerSlider .swiper-button-prev::after,
    .bannerSlider .swiper-button-next::after,
    .CustomerSlider .swiper-button-prev::after,
    .CustomerSlider .swiper-button-next::after {
        font-size: 14px;
    }

    .footerLogoItem .navbar-brand img {
        max-width: 100px;
    }

    .footerLinksItem h5 {
        padding-bottom: 15px;
    }

    .footerLinksItem {
        gap: 15px;
    }

    .ContactDetailsItem h6,
    .footerLinksItem p,
    .footerLinksItem a {
        font-size: 14px;
    }

    .counterSec {
        padding: 30px 20px;
    }

    .footerLinksItem p,
    .footerLinksItem a {
        font-size: 14px !important;
    }

    .ContactDetailsItem ul,
    .footerLinksItem ul {
        gap: 10px;
    }

    .aboutMoreContent .aboutContent ul {
        display: flex;
        flex-wrap: wrap;
        gap: 15px !important;
    }

    .breadCrumsWrapper {
        padding: 80px 0px;
    }

    .title-ko {
        font-size: 25px;
    }

    .ServicesPage .ServicesItem .ServicesContent {
        gap: 10px;
    }

    .MainProductDetailsPage .KeyServicesGrid,
    .TypesGrid,
    .KeyServicesGrid,
    .ThreeGrid,
    .projectsGrid {
        grid-template-columns: 1fr 1fr;
        gap: 15px;
    }

    .KeyServicesItem .KeyServicesIcon {
        max-width: 50px;
    }

    .tagline p {
        font-size: 16px;
    }

    .descItem {
        gap: 10px;
    }

    .VideoGrid {
        gap: 15px;
    }

    .PhotosGrid,
    .ContactInformationGrid {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 15px;
    }

    .MainServicePage .ServicesContent .ServicesContentIcon {
        width: 45px;
        height: 45px;
        padding: 0px;
    }

    .ServicesDetailsPage~.useCaseMoreContent li {
        padding: 0px !important;
    }

    .ContactInformationItem {
        padding: 20px;
        border: 1px solid #4444;
        border-radius: 12px;
    }

    .CustomPartnersModel .modal-dialog {
        max-width: 90%;
        margin: auto;
    }
}

@media (max-width: 991px) {

    .VideoItem {
        border: 1px solid #4444;
        border-radius: 8px;
        overflow: hidden;
        line-height: 0;
    }

    .VideoItem iframe {
        border-radius: 8px;
        height: 300px;
    }

    .ContactInformationGrid {
        grid-template-columns: 1fr 1fr;
        gap: 15px;
    }

    .ContactformGrid {
        grid-template-columns: 1fr;
        gap: 30px;
        padding: 20px;
    }

    .ContactAddressItem {
        gap: 30px;
    }

    .ContactFormAddress {
        padding-left: 0px;
        gap: 30px;
        padding-top: 30px;
    }

    .ContactFormAddress:before {
        width: 100%;
        height: 1px;
        top: 0;
    }

    .ContactAddressItem ul li {
        padding: 15px 0px;
    }

    .faqsWrapper {
        max-width: 100%;
    }
}

@media (max-width: 767px) {
    .aboutSec:before {
        display: none;
    }

    .aboutMoreContents .aboutContent ul {
        gap: 15px !important;
        display: flex;
        flex-wrap: wrap;
    }

    .aboutMoreContents .aboutContent ul li {
        padding: 10px 15px;
        border: 1px solid #2222;
        align-items: center;
        opacity: 0.8;
    }

    .pin-spacer {
        height: auto !important;
        width: 100% !important;
        padding: unset !important;
    }

    .ProductSec {
        height: auto !important;
        width: 100% !important;
        max-height: 100% !important;
        position: unset !important;
        transform: unset !important;
    }

    .ProductGrid {
        transform: unset !important;
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 15px;
        padding: 0px 15px;
    }

    .secTitle {
        max-width: 100%;
    }

    .ourProjectGrid {
        grid-template-columns: 1fr 1fr;
    }

    .ClientGrid {
        grid-template-columns: repeat(3, 1fr);
    }

    .inqueryForm .row {
        display: grid;
        grid-template-columns: 1fr;
        gap: 15px;
    }

    .footerLinksWrapper {
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .aboutMoreContent {
        margin-top: 15px;
    }

    .aboutInceptionContentSec .row {
        gap: 15px;
        flex-direction: column-reverse;
    }

    .aboutInceptionContentSec .brandText p {
        font-size: 14px !important;
    }

    .brandText p {
        font-size: 30px;
    }

    .aboutMoreContent .aboutContent ul li .instaIcon {
        max-width: 30px;
    }

    .aboutMoreContent .secTitle h2,
    .secTitle h1 {
        line-height: 32px;
        font-size: 16px;
    }

    .aboutContent .desc ul li {
        font-size: 14px;
    }

    .aboutSec.bgGrey .row {
        flex-direction: column-reverse;
        gap: 15px;
    }

    .aboutSec.bgGrey .row .aboutMoreContent {
        margin: 0px;
    }

    .partnerwithUsSec .aboutSec .aboutContent.aboutMoreContent li img {
        max-width: 14px;
        margin-right: 10px;
    }

    .ServicesPage .ServicesItem {
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .ServicesPage .ServicesItem .ServicesContent {
        width: 100%;
    }

    .ProductMainPage .ServicesItem,
    .ServicesPage .ServicesItem:last-child {
        border: 1px solid #e2e2e2;
        gap: 0px;
    }

    .ProductMainPage .ServicesItem .ServicesContent,
    .TypesItem .TypesContent {
        padding: 20px;
    }

    .ProductMainPage .ServicesIconWrapper {
        gap: 40px;
    }

    .ServicesPage .ServicesItem:nth-child(even) {
        padding: 0px;
        border-radius: 20px !important;
    }

    .tagline p {
        font-size: 14px;
    }

    .productDetailsPage .tagline {
        display: none;
    }

    .EasyInstallationSec {
        position: unset;
        height: auto !important;
        transform: unset !important;
        max-height: unset !important;
    }

    .InstallationItem {
        opacity: 1 !important;
    }

    .InstallationGrid {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 0px !important;
        padding: 20px 0 0;
    }

    .connector {
        display: none;
    }

    .InstallationImage img {
        width: 100%;
    }

    .EffortlessSec .InstallationItem {
        transform: scale(1) !important;
    }

    .VideoWrap {
        max-width: 100%;
        border-radius: 8px;
    }

    .ProductMainPage .ServicesItem .ServicesIcon {
        width: 100%;
    }

    .useCaseMoreGrid {
        grid-template-columns: 1fr;
        gap: 15px;
    }

    .PhotosGrid {
        grid-template-columns: 1fr 1fr;
        gap: 15px;
    }

    .TypesGrid {
        grid-template-columns: 1fr;
        gap: 15px;
    }

    .useCaseMoreContent {
        padding-left: 0px;
        padding-right: 0px;
    }

    .VideoItem .VideoContent {
        padding: 15px;
    }

    .ThreeGrid .descItem {
        padding: 25px;
    }

    .PhotosItem img {
        max-height: fit-content;
        min-height: auto;
    }

    .MainServicePage .ServicesItem,
    .MainUsecasesPage .ServicesItem {
        gap: 0px;
        border: 1px solid #0000000f;
    }

    .MainServicePage .ServicesContent,
    .MainUsecasesPage .ServicesContent,
    .projectsItem .projectsContent,
    .ServicesPage .ServicesItem .ServicesContent,
    .CustomPartnersModel .modal-dialog .CustomPartnersWrapper .CustomPartnersItem {
        padding: 20px !important;
    }

    .MainServicePage .ServicesIconWrapper {
        gap: 20px;
    }

    .MainUsecasesPage .ServicesIconWrapper {
        gap: 15px;
    }

    .ServicesPage .ServicesItem .ServicesIcon {
        width: 100%;
    }

    .CustomPartnersModel .modal-dialog .CustomPartnersWrapper {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 600px) {

    .bannerSlider .swiper-slide,
    .bannerSec {
        height: 40vh;
    }

    .counterSec {
        padding: 20px 0px;
    }

    .counterGrid {
        grid-template-columns: 1fr 1fr;
        display: grid;
        gap: 15px;
    }

    .counterItem {
        padding: 25px;
        background: #ffffff2e;
        border-radius: 12px;
        backdrop-filter: blur(15px);
    }

    .counterItem h5 {
        font-size: 20px;
    }

    .ProductGrid {
        grid-template-columns: 1fr;
        width: 100%;
        max-width: 100%;
    }

    .ProductItem {
        min-width: 100%;
        max-width: 100%;
    }

    .ProductSec .backImg img {
        object-fit: cover;
    }

    .EnvironmentalGrid,
    .SolutionsGrid,
    .ServicesIconWrapper {
        grid-template-columns: 1fr;
    }

    .ClientGrid {
        grid-template-columns: repeat(2, 1fr);
    }

    .inqueryFormWrapper {
        padding: 15px;
    }

    .bannerContent h1 {
        font-size: 20px;
    }

    .bannerContent {
        gap: 4px;
    }

    .bannerContent p {
        font-size: 14px;
    }

    .bannerSlider .swiper-button-prev,
    .bannerSlider .swiper-button-next,
    .CustomerSlider .swiper-button-prev,
    .CustomerSlider .swiper-button-next {
        display: none;
    }

    .bannerPagination {
        bottom: 10px;
    }

    .MenuMobile {
        position: fixed;
        width: 90%;
    }

    .aboutMoreContent .aboutContent ul li {
        padding: 10px 15px;
        border-radius: 8px;
    }

    .brandText p {
        font-size: 22px;
    }

    .breadCrumsWrapper {
        padding: 40px 0px;
    }

    .title-ko {
        font-size: 18px;
    }

    .aboutMoreContent .secTitle h2,
    .secTitle h1 {
        line-height: 32px;
        font-size: 16px;
    }

    .aboutMoreContents .secTitle h2,
    .SolutionsContent h5,
    .ServicesContent h5,
    .footerLinksItem h5,
    .ServicesPage .ServicesItem .ServicesContent h5,
    .ServicesContent ul li strong {
        font-size: 14px;
        line-height: 28px;
    }

    .MainProductDetailsPage .KeyServicesGrid,
    .VideoGrid,
    .KeyServicesGrid,
    .projectsGrid,
    .ContactInformationGrid,
    .copyRight {
        grid-template-columns: 1fr;
    }

    .InstallationGrid {
        grid-template-columns: 1fr 1fr;
        gap: 15px !important;
    }

    .ThreeGrid .descItem li {
        padding: 0px !important;
    }

    .ThreeGrid .descItem,
    .KeyServicesGrid .KeyServicesItem,
    .projectsItem .projectsContent {
        padding: 20px;
    }

    .socialLinks ul {
        justify-content: center;
    }

    .copyRight p {
        padding: 0px;
    }

    .footerContent {
        gap: 30px;
    }

    .ContactFormAddress .inputGrid {
        grid-template-columns: 1fr;
    }
}